Subject: Linux for ml410

From: "mojtaba" <[email-masked]>
Date: Tue, 6 May 2008 19:29:10 +0200

Dear All,
I am trying to compile Linux 2.6.25(which I got from git.xilinx) for ML410
board and I have a problem during compilation. This is the error message:

 CC      arch/ppc/platforms/4xx/xilinx_generic_mlxxx.o
arch/ppc/platforms/4xx/xilinx_generic_mlxxx.c: In function
'virtex_device_fixup':
arch/ppc/platforms/4xx/xilinx_generic_mlxxx.c:31: error: dereferencing
pointer to incomplete type
make[1]: *** [arch/ppc/platforms/4xx/xilinx_generic_mlxxx.o] Error 1
make: *** [arch/ppc/platforms/4xx] Error 2

it seems that xlltemac_platform_data structure is not recognized by the
compiler so it cannot dereference it. I do not know what this structure is
and where it has been defined. I really appreciate if you can help me.
Best regards,
Mojtaba